package net.pricefx.formulaengine.optimization;

import java.util.Map;

public interface ModelFormulaContextReadOnly {
    /**
     * @return The unique name of this model
     */
    String uniqueName();

    /**
     * @return The label of this model
     */
    String label();

    /**
     * @return The state of this model
     */
    Map<String, Object> state();

    /**
     * @param name The table name in this model
     * @return The existing model table or {@code null} if it doesn't exist
     */
    Object table(String name);
}
