package net.pricefx.logic.core.model;

import java.util.AbstractMap;

public class PairedItem<K, V> extends AbstractMap.SimpleEntry<K, V> implements Comparable<K> {
    PairedItem(K key, V value) {
        super(key, value);
    }

    public static <K, V>PairedItem getInstance(K key, V value) {
        return new PairedItem(key, value);
    }

    @Override
    public String toString() {
        return getKey() + " (" + getValue() + ")";
    }

    @Override
    public int compareTo(K o) {
        if (o instanceof Comparable) {
            return ((Comparable) o).compareTo(getKey());
        }

        return 0;
    }
}
